:root {
    --color-au: #c5985d;
    --color-ag: #9b9b9b;
}

html, body { margin: 0; padding: 0; }
/* body { padding-top: 7rem; } */

h1 { font-size: 1.75rem; }
h2 { font-size: 1.5rem; }
h3 { font-size: 1.25rem; }
h4 { font-size: 1.20rem; }
h5 { font-size: 1.1rem; }

/* NAVBAR */
@media (max-width: 992px) {
	.navbar .navbar-text.separator {
        border-bottom: 1px solid #779;
        margin-bottom: 0.5rem;
    }
    .navbar .navbar-collapse li.nav-item.dropdown div.dropdown-menu {
        display: block;
        border: none;
        border-radius: 0;
        background: transparent;
    }
    .navbar .navbar-collapse li.nav-item.dropdown div.dropdown-menu .dropdown-item {
        color: #fff;
        padding: 0.5rem 2rem;
    }
    .navbar .navbar-collapse li.nav-item.dropdown div.dropdown-menu .dropdown-item:hover {
        color: #18BC9C;
    }
}
@media (min-width: 992px) {
    .navbar .navbar-text.separator {
        border: none;
        margin: 0;
    }
	.navbar .navbar-text.separator::before {
        content: "|";
        color: #779;
        padding: 0 0.5rem;
    }
}
.navbar .navbar-text.separator:last-child {
    display: none;
}

/* TOAST */
.toast { max-width: 100%; }
#toast-stack { left: 0; min-width: 250px; }

/* CARDS */
.card-header > h5 {
	margin: 0;
}

/* TABLE */
table { width: 100%; max-width: 100%; }
table tbody tr[data-href]{
    -webkit-touch-callout: none; /* iOS Safari */
      -webkit-user-select: none; /* Safari */
       -khtml-user-select: none; /* Konqueror HTML */
         -moz-user-select: none; /* Old versions of Firefox */
          -ms-user-select: none; /* Internet Explorer/Edge */
              user-select: none; /* Non-prefixed version, currently */
 }
table tbody tr > td:first-child { font-weight: bold; white-space: nowrap; }
table tbody tr > td { white-space: normal; }

/* ACTION BAR */
@media (max-width: 768px) {
    .action-bar {
        display: flex;
        flex-direction: column;
    }
	.action-bar > *:not(.input-group) {
        width: 100%;
        display: block;
        margin-bottom: 0.5rem;
    }
    .action-bar > *:last-child {
        margin-bottom: 0;
    }
}
@media (min-width: 768px) {
    .action-bar {
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: flex-end;
    }
    .action-bar > .input-group {
        width: auto;
    }
    .action-bar > *:not(.input-group) {
        width: auto;
        display: inline-block;
        margin-right: 0.5rem;
    }
    .action-bar > *:last-child {
        margin-right: 0;
    }
}



/* TABLE WRAPPER (SCROLL) */
div.wrap { overflow-x: auto;}
div.wrap table thead tr > th, div.wrap table tbody tr > td { white-space: nowrap; }
div.wrap table tbody tr > td.break, table tbody tr > td.break { white-space: normal; word-break: break-all; }

/* RESPONSIVE */
@media (min-width: 576px) {
	.card-columns { column-count: 1; }
}
@media (min-width: 768px) {
	.card-columns { column-count: 2; }
	#toast-stack { left: unset; }
}
@media (min-width: 992px) {
	.card-columns { column-count: 3; }
}
@media (min-width: 1200px) {
	.card-columns { column-count: 3; }
}

/* BOOTSTRAP ADDONS */
@media (max-width: 767px) {
    .btn-xs-block {
        display: block;
        width: 100%;
    }
    input[type="submit"].btn-xs-block,
    input[type="reset"].btn-xs-block,
    input[type="button"].btn-xs-block {
        width: 100%;
    }
    .btn-block + .btn-xs-block,
    .btn-xs-block + .btn-block,
    .btn-xs-block + .btn-xs-block { margin-top: 0.5rem; }
}
@media (min-width: 768px) and (max-width: 991px) {
    .btn-sm-block {
        display: block;
        width: 100%;
    }
    input[type="submit"].btn-sm-block,
    input[type="reset"].btn-sm-block,
    input[type="button"].btn-sm-block {
        width: 100%;
    }
    .btn-block + .btn-sm-block,
    .btn-sm-block + .btn-block,
    .btn-sm-block + .btn-sm-block {
        margin-top: 0.5rem;
    }
}
@media (min-width: 992px) and (max-width: 1199px) {
    .btn-md-block {
        display: block;
        width: 100%;
    }
    input[type="submit"].btn-md-block,
    input[type="reset"].btn-md-block,
    input[type="button"].btn-md-block {
        width: 100%;
    }
    .btn-block + .btn-md-block,
    .btn-md-block + .btn-block,
    .btn-md-block + .btn-md-block {
        margin-top: 0.5rem;
    }
}
@media (min-width: 1200px) {
    .btn-lg-block {
        display: block;
        width: 100%;
    }
    input[type="submit"].btn-lg-block,
    input[type="reset"].btn-lg-block,
    input[type="button"].btn-lg-block {
        width: 100%;
    }
    .btn-block + .btn-lg-block,
    .btn-lg-block + .btn-block,
    .btn-lg-block + .btn-lg-block {
        margin-top: 0.5rem;
    }
}

/* MISC */
@keyframes blink {
    100% {
        opacity: 0.25;
    }
}
@-webkit-keyframes blink {
    100% {
        opacity: 0.25;
    }
}
.blink {
    animation: blink 1s infinite ease-in;
    -webkit-animation: blink 1s infinite ease-in;
}

.icon-enabled-true::before { content: '✔️'; }
.icon-enabled-false::before { content: '❌'; }

.rowmenu {
    color: black;
    cursor: pointer;
    display: inline-block;
    width: 1.5rem;
    text-align: center;
}
.rowmenu:hover {
    color: var(--success);
}

.background-au { background-color: var(--color-au) !important; }
.background-ag { background-color: var(--color-ag) !important; }